Debian Bug report logs - #688979
ITP: python-doublex -- doublex is a test doubles framework for the Python platform

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Miguel Ángel García <miguelangel.garcia@gmail.com>

Date: Thu, 27 Sep 2012 19:33:02 UTC

Owned by: "Miguel Ángel García" <miguelangel.garcia@gmail.com>

Severity: wishlist

Fixed in version doublex/1.5.1-1

Done: David Villa Alises <David.Villa@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org, "Miguel Ángel García" <miguelangel.garcia@gmail.com>:
Bug#688979; Package wnpp. (Thu, 27 Sep 2012 19:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Ángel García <miguelangel.garcia@gmail.com>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, wnpp@debian.org, "Miguel Ángel García" <miguelangel.garcia@gmail.com>. (Thu, 27 Sep 2012 19:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Miguel Ángel García <miguelangel.garcia@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: python-doublex -- doublex is a test doubles framework for the Python platform
Date: Thu, 27 Sep 2012 21:22:06 +0200
Package: wnpp
Severity: wishlist
Owner: "Miguel Ángel García" <miguelangel.garcia@gmail.com>

* Package name    : python-doublex
  Version         : 0.6.1
  Upstream Author : David Villa Alises <David.Villa@gmail.com>
* URL             : https://bitbucket.org/DavidVilla/python-doublex
* License         : GPL
  Programming Lang: Python
  Description     : doublex is a test doubles framework for the Python platform

 doublex is a test doubles framework for the Python platform. Test doubles
 frameworks are also called mocking or isolation frameworks. doublex can be
 used as a testing tool or as a Test Driven Development tool.
 .
 It generates stubs, spies, and mock objects using a minimal interface. It
 support hamcrest matchers both stub definitions and spy checking. All
 assertions are done using hamcrest assert_that(). Moreover, it’s been designed
 to make your tests less fragile when possible.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, "Miguel Ángel García" <miguelangel.garcia@gmail.com>:
Bug#688979; Package wnpp. (Sat, 29 Sep 2012 09:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Angel <miguelangel.garcia@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, "Miguel Ángel García" <miguelangel.garcia@gmail.com>. (Sat, 29 Sep 2012 09:51:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Miguel Angel <miguelangel.garcia@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Re: Bug#688979: ITP: python-doublex -- doublex is a test doubles framework for the Python platform
Date: Sat, 29 Sep 2012 11:49:46 +0200
[Message part 1 (text/plain, inline)]
The description has some mistakes. Please, change it for this one:

Description: doublex is a testing library for Python that allows to create
mocks, stubs and spies.

There are a lot of libraries for mocking in Python, but doublex is both the
most complete and the
more easy to use. It allows any kind of mocks, stubs and spies in a very
pythonic way. It supports
properties mocking and other advanced features.
.
One of the best improvements of this library is that it does not add any
kind of public methods to the
testing doubles, so it cannot match with any of the real object's functions.

2012/9/27 Miguel Ángel García <miguelangel.garcia@gmail.com>

> Package: wnpp
> Severity: wishlist
> Owner: "Miguel Ángel García" <miguelangel.garcia@gmail.com>
>
> * Package name    : python-doublex
>   Version         : 0.6.1
>   Upstream Author : David Villa Alises <David.Villa@gmail.com>
> * URL             : https://bitbucket.org/DavidVilla/python-doublex
> * License         : GPL
>   Programming Lang: Python
>   Description     : doublex is a test doubles framework for the Python
> platform
>
>  doublex is a test doubles framework for the Python platform. Test doubles
>  frameworks are also called mocking or isolation frameworks. doublex can be
>  used as a testing tool or as a Test Driven Development tool.
>  .
>  It generates stubs, spies, and mock objects using a minimal interface. It
>  support hamcrest matchers both stub definitions and spy checking. All
>  assertions are done using hamcrest assert_that(). Moreover, it’s been
> designed
>  to make your tests less fragile when possible.
>



-- 
Miguel Ángel García Martínez
http://www.magmax.org
Mail <miguelangel.garcia@gmail.com> | Twitter <http://twitter.com/#magmax9>
 | LinkedIn <http://www.linkedin.com/in/miguelangelgarciamartinez> |
about.me <http://about.me/miguelangelgarcia>
[Message part 2 (text/html, inline)]

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Tue, 13 Nov 2012 07:09:06 GMT) Full text and rfc822 format available.

Reply sent to David Villa Alises <David.Villa@gmail.com>:
You have taken responsibility. (Sun, 09 Dec 2012 17:03:16 GMT) Full text and rfc822 format available.

Notification sent to Miguel Ángel García <miguelangel.garcia@gmail.com>:
Bug acknowledged by developer. (Sun, 09 Dec 2012 17:03:16 GMT) Full text and rfc822 format available.

Message #17 received at 688979-close@bugs.debian.org (full text, mbox):

From: David Villa Alises <David.Villa@gmail.com>
To: 688979-close@bugs.debian.org
Subject: Bug#688979: fixed in doublex 1.5.1-1
Date: Sun, 09 Dec 2012 17:00:11 +0000
Source: doublex
Source-Version: 1.5.1-1

We believe that the bug you reported is fixed in the latest version of
doublex, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 688979@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Villa Alises <David.Villa@gmail.com> (supplier of updated doublex package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Thu, 25 Oct 2012 16:03:44 +0200
Source: doublex
Binary: python-doublex
Architecture: source all
Version: 1.5.1-1
Distribution: unstable
Urgency: low
Maintainer: David Villa Alises <David.Villa@gmail.com>
Changed-By: David Villa Alises <David.Villa@gmail.com>
Description: 
 python-doublex - test doubles framework for Python
Closes: 688979
Changes: 
 doublex (1.5.1-1) unstable; urgency=low
 .
   * New release
   * First official release: (Closes: #688979)
   * debian/rules: clone specific version tag
   * debian/watch added
Checksums-Sha1: 
 6a44fa56aefd49c00e3d735c344102d778575b33 1986 doublex_1.5.1-1.dsc
 23c17f58df3360ed7ba6534ac4a34c0c7b30e840 28518 doublex_1.5.1.orig.tar.gz
 670000d6c3855c7b3d405b714618484fce84ed7e 2312 doublex_1.5.1-1.debian.tar.gz
 c2ad189d1d9399bd956bceb8271c70da114f3045 12048 python-doublex_1.5.1-1_all.deb
Checksums-Sha256: 
 cb83acd419ff7e125cf7aec38656bc1fff171464e62b424f0c787b03469c2336 1986 doublex_1.5.1-1.dsc
 15ccc09d9f310a567f56822f6c3a8602ab06852dfdec70322ec7ded1c3467184 28518 doublex_1.5.1.orig.tar.gz
 aab437fd6ec3ff45e80cd00b1e8ec114f1a0dc3cf7272e2b751c5ec1a8b94630 2312 doublex_1.5.1-1.debian.tar.gz
 d470d351f17877c2ce5cbee7518c60493aa7d2e17548c6ddf8e4839a230c45a3 12048 python-doublex_1.5.1-1_all.deb
Files: 
 3937abe8a9f062866b68e25029b386af 1986 python optional doublex_1.5.1-1.dsc
 97f10b0d2e14c02ed16a71bf58ecb12b 28518 python optional doublex_1.5.1.orig.tar.gz
 704fa719501a05e43fc051db95463a47 2312 python optional doublex_1.5.1-1.debian.tar.gz
 46778941bb660ded76f394f7d285208e 12048 python optional python-doublex_1.5.1-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQs9EXAAoJEK728aKnRXZFvDIQAMsWrJIxwLVy84XAIhtF+qoy
3YiCDU6JOwN6tPPvDQ3yYNoric/4yNhNtfcyl3miO24FgajRKiaNu7JRoF/KrVDZ
jl9oLbH3B035Hn7Wy0czFs/Jjg0HO+8kG8uXJ89tPvL/yxOXd+TQbH81kc0EWSD+
0WhcctBe3TfO2M5ikZSSknGxvPe/T7PJGFoa1v3VsOwxqhdrmyizWUIPF4RxO3oF
FuLBklbVWGKkfaXMaVnI76ZndyXzp8jdtebCeXrwOpVLOefkR3UQ4xollPER0zxU
ORAMFxsCXEA7WaExhnq4U/NCRhxVBGPtUnH23UkDOvHmzDbeAsnMFyryerAN7KQx
17AKFGuuWrTDHOg3d8jHNm1Zd7iDkXNRvWXRb2dNJTUTxLGsZYMVPKhkXY4XZivu
db4Xz7qf2Rz5a3pmUks8DN1KWQzN6C14Mp1KbOWgM7JfCIq8cv/NQ9luiHYL1dyM
lwqtOwOwka8aiFL+MZ3jFuGdVdyzT2H/6BULkRdfGBlColniOFqNhdZ+SbtB3Q7Z
UiHB7RdTShUrveniVYWSZYTzGhirTAyEcJginkaK2RPwkA0fQieoYqKfL6Di5zkC
BbG/Jbh69Uo378MvVVEDm8xES4/F1E43YwIolH5Kf8o8DcHywRbb75Ro80yEuR5U
0iM5or/7z0ZqjO9SqUrs
=g+D4
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 07 Jan 2013 07:29:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 10:18:53 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.